<?
session_start();

include "../../config.php";
include "../../includes/common_librairie.php";
include "../../includes/xajax/xajax.inc.php";
require_once("../../index_common.php");
include "lib_files_manager.php";

// Initialization of the application
$application = new application();

if(!$application->is_loged)
{// Loged or not loged, that's the question.
	die("You are not loged");
}

// Check the Get values to securize the script
if(ereg('^\.\.\/|\/\.\.\/|\/\.\.$|^\.\.$', $_GET['source'])) $application->message_die("Hacking attempt!");
if(ereg('^\.\.\/|\/\.\.\/|\/\.\.$|^\.\.$', $_GET['destination'])) $application->message_die("Hacking attempt!");
if(!ereg("^files|folder$", $_GET['section'])) $application->message_die("Hacking attempt!");


//  Detection de la rubrique dans laquelle on se trouve pour savoir quel dossier chrooter
if(!isset($_GET['rubrique']) && !isset($_POST['rubrique'])) die("Unknown section");
isset($_GET['rubrique']) ? $rubrique = $_GET['rubrique'] : $rubrique = $_POST['rubrique'];

switch($rubrique)
{
	case 0 :
		$BASE_FOLDER = FILE_NANAGER_FILES_CLIENTS_FOLDER;
		break;
	case 1 : 
		$BASE_FOLDER = create_smb_url() . "/PARTAGES/";
		break;
	case 2 :
		$BASE_FOLDER =create_smb_url() . "/PERSO/";
		break;
}


########################  !! Access to this page !! ###############################
$file_manager_access = $application->module_access("file_manager");
if($file_manager_access != "TECH" && $file_manager_access != "ADMIN")
{// For the employee, just access for the admins and techs users
	$application->message_die("You have not access to this page");
}

// Variables assignation
($_GET['section'] == "files") ? $source = normalize_file($_GET['source']) : $source = normalize($_GET['source']);
$destination = normalize($_GET['destination']);
$application->add_vars(array(
			"source_show" => "Home" . normalize_file($_GET['source']),
			"source" => normalize_file($_GET['source']),
			"destination" => $destination,
			"section" => $_GET["section"]));


// Manage the folder tree ...
$application->add_block("destination_tree", array(
				"folder_name" => "Home",
				"destination_complete" => "/"));

$folder_list = explode("/", $_GET['destination']);
$complete_folder = "";

if(is_array($folder_list))
{
	foreach($folder_list as $folder)
	{
		if($folder) 
		{
			$complete_folder .= "/" . $folder;
			$application->add_block("destination_tree", array("destination_complete" => $complete_folder, "folder_name" => $folder));
		}
	}
}

// List the selected folder content to create the folders_list block
$hdir = opendir($BASE_FOLDER . $destination) ;
$tb_directory = NULL ;
$tb_file = NULL ;

while (false !== ($file = readdir($hdir))) 
{
	if (is_dir($BASE_FOLDER . $destination . "/" . $file)) 
	{
		if ($file != "." && $file != "..") $tb_directory[] = $file;
	}
}
if ($tb_directory) sort($tb_directory, SORT_STRING);
for ($i = 0; $i < count($tb_directory); $i++)
{
	$vars = array(
		"complete_folder_name" => normalize($destination . $tb_directory[$i]),
		"folder_name" => htmlentities($tb_directory[$i], NULL, "UTF-8"));

	$application->add_block("folders_list", $vars);
}

$application->add_var("rubrique", (int)$_GET['rubrique']);


// Create content :
$CONTENT = $application->get_html_content("file_manager_move.htm");
if(!$CONTENT) $application->message_die("{LANG_Unable_to_find_the_create_folder_form}");
$application->set_page_title("{LANG_FILE_MANAGER_New_common_folder_description_short}");

################## Create the content of the page #################################

$application->add_vars(array("MENU" => $application->generate_menu(), "XAJAX" => $script_xajax));
$application->show_content($CONTENT);


?>