<?php
session_start();
$sess_id = session_id();

include "../../config.php";
include "config.php";
include "../../includes/common_librairie.php";
include "../../includes/xajax/xajax.inc.php";
require_once("../../index_common.php");
include "lib_files_manager.php";


// Initialization of the application
$application = new application();

if(!$application->is_loged)
{// Loged or not loged, that's the question.
	die("You are not loged");
}

$string = $_SESSION['sess_login'] . "\n";
$string.= $_SESSION['sess_password'] . "\n";
$string.= microtime(true) . "\n";

$crypted = encrypt_string($string);


if($application->userprefs['user_type'] == "employee")
{
	$BASE_FOLDER = FILE_NANAGER_FILES_CLIENTS_FOLDER ;
}
else
{
	$BASE_FOLDER = FILE_NANAGER_FILES_CLIENTS_FOLDER . "/" . str_replace("/", "-", $application->userprefs['user_label']) . " (" . $application->userprefs['id_user'] . ")";
}


switch($_GET['rubrique'])
{
	case 0 :
		$BASE_FOLDER = FILE_NANAGER_FILES_CLIENTS_FOLDER; 
		break;
	case 1 : 
		$BASE_FOLDER = FILE_NANAGER_FILES_FOLDER;
                $application->add_var("scann_folder_type", "share");
		break;
	case 2 :
		$BASE_FOLDER = FILE_MANAGER_PERSO_FOLDER . "/" . $application->userprefs['login'];
                $application->add_var("scann_folder_type", "perso");
		break;
}
$_SESSION['ROOT_UPLOAD_FOLDER'] = $BASE_FOLDER;


$max_filesize = ini_get('upload_max_filesize');
$max_postsize = ini_get('post_max_size');

$application->add_var("max_filesize", min((int)$max_filesize, (int)$max_postsize));

########################  !! Access to this page !! ###############################
$file_manager_access = $application->module_access("file_manager");
if($file_manager_access != "TECH" && $file_manager_access != "ADMIN")
{// FOr the employee, just access for the admins and techs users
	$application->message_die("You have not access to this page");
}

$application->add_var("dossier_en_cours", urlencode(normalize($_GET['dossier_en_cours'])));
$application->add_var("rubrique", (int)$_GET['rubrique']);
$application->add_var("sess_id", $crypted);


######################## Generate the authorized extensions string ################
$auth_ext = NULL;
$all_types_ext = NULL;
$all_types_ext_title = NULL;
for($i = 0; $i < count($FILE_MANAGER_EXTENSION); $i++)
{
    if(is_array($FILE_MANAGER_EXTENSION[$i]['EXT'])) {
        foreach($FILE_MANAGER_EXTENSION[$i]['EXT'] as $extension) {
            $auth_ext .= ";*." . strtolower($extension);
        }
    }
}

$auth_ext = substr($auth_ext, 1);
	
$application->add_var("AUTHORIZED_EXTENSION", $auth_ext);




// Show the scanner list if needed ...
$scanner_list = scanner_list();
if($scanner_list)
{
	$application->add_block("SCANN_LIST", array("SCANNER_LIST" => $scanner_list));
}

// Create content :
$CONTENT = $application->get_html_content("file_manager_create_file.htm");
if(!$CONTENT) $application->message_die("{LANG_Unable_to_find_the_create_folder_form}");
$application->set_page_title("{LANG_FILE_MANAGER_Create_file}");

################## Create the content of the page #################################
$application->add_vars(array("MENU" => $application->generate_menu(), "XAJAX" => $script_xajax));
$application->show_content($CONTENT);


?>